<%--
%(C) COPYRIGHT International Business Machines Corp. 2012, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%><%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"
%><%@ page import="com.rivermine.app.gateway.GatewayProperties"
%><%@ page import="com.rivermine.config.property.system.SuiteApplicationDefinition"
%><%@ page import="com.rivermine.util.CookieUtil"
%><%@ page import="com.rivermine.util.StringUtil"
%><%
Cookie[] cookies = request.getCookies();
String contextPath = CookieUtil.getValidatedPath(request.getContextPath());
String kindOfAuth = request.getParameter("kindOfAuth");
String targetApp = request.getParameter("targetApp");
Cookie targetAppCookie = CookieUtil.getCookieByName("targetApp", cookies);
if (StringUtil.isEmptyString(targetApp) && targetAppCookie != null)
{
    targetApp = targetAppCookie.getValue();
}
if (StringUtil.isEmptyString(targetApp))
{
    targetApp = "SSM";
}
CookieUtil.addCookie(response, "targetApp", targetApp, contextPath);
boolean isOAuth = false;
String targetUrl = null;
Cookie destinationCookie = CookieUtil.getCookieByName("WASReqURL", cookies);
Cookie targetUrlCookie = CookieUtil.getCookieByName("targetUrl", cookies);
if (destinationCookie != null)
{
    targetUrl = destinationCookie.getValue();
    // WASReqURL cookie has base path "/"
    CookieUtil.removeCookie(response, destinationCookie, "/");
}
else if (targetUrlCookie != null)
{
    targetUrl = targetUrlCookie.getValue();
}
if (!StringUtil.isEmptyString(targetUrl))
{
    if (targetUrl.indexOf("oauth2") >= 0)
    {
        isOAuth = true;
    }
    int idx = targetUrl.indexOf(contextPath);
    if (idx == -1)
    {
        // close open/redirect hole
        targetUrl = "";
    }
    else
    {
        targetUrl = targetUrl.substring(idx);
        idx = targetUrl.indexOf("kindOfAuth=");
        if (idx >= 0 && targetUrl.length() >= idx + 19)
        {
            kindOfAuth = targetUrl.substring(idx + 11, idx + 19);
        }
        if (targetUrl.indexOf("sso_landing.jsp") >= 0 || targetUrl.indexOf("jaxrs") >= 0)
        {
            // ignore sso_landing.jsp and jaxrs calls
            targetUrl = "";
        }
        else
        {
            // VSM-2698 drop Echo2 AJAX request
            idx = targetUrl.indexOf("?serviceId=");
            if (idx >= 0)
            {
                targetUrl = targetUrl.substring(0, idx);
            }
        }
    }
    if (targetUrlCookie == null && !StringUtil.isEmptyString(targetUrl))
    {
        // add targetUrl cookie if non-existent
        CookieUtil.addCookie(response, "targetUrl", targetUrl, contextPath);
    }
}
String forwardUrl = null;
if (isOAuth)
{
    forwardUrl = "/emptoris/oauth_login.jsp";
}
else
{
    String isExternalAuthString = request.getParameter("kindOfAuth");
    Cookie isExternalAuthCookie = CookieUtil.getCookieByName("isExternalAuth", cookies);
    if (StringUtil.isEmptyString(kindOfAuth) && isExternalAuthCookie != null)
    {
        kindOfAuth = "true".equalsIgnoreCase(isExternalAuthCookie.getValue()) ? "External" : "Internal";
    }
    boolean isExternalAuth = "External".equalsIgnoreCase(kindOfAuth);
    if (isExternalAuth)
    {
        forwardUrl = GatewayProperties.getSSOLoginURLForExternalAuth();
    }
}
if (StringUtil.isEmptyString(forwardUrl))
{
    forwardUrl = "/emptoris/sso_login.jsp";
}
if ("true".equals(request.getParameter("error")))
{
    forwardUrl = CookieUtil.appendQueryParam(forwardUrl, "error", "true");
}
else if ("true".equals(request.getParameter("timeout")))
{
    forwardUrl = CookieUtil.appendQueryParam(forwardUrl, "timeout", "true");
}
response.setHeader("Pragma", "no-cache");
response.setHeader("Cache-Control", "private, no-cache, no-store");
response.setDateHeader("Expires", 0);
//System.err.println("      LOGIN ====================targetApp: " + targetApp);
%><!DOCTYPE HTML>
<HTML>
<HEAD>
<TITLE>sso_login.jsp</TITLE>
<LINK rel="shortcut icon" type="image/icon" href="favicon.ico">
<META http-equiv="refresh" content="0; url=<%= forwardUrl %>">
</HEAD>
</HTML>
