<%--
%(C) COPYRIGHT International Business Machines Corp. 2013, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%><%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"
%><%@ page import="java.text.MessageFormat"
%><%@ page import="java.util.Arrays"
%><%@ page import="java.util.HashMap"
%><%@ page import="java.util.List"
%><%@ page import="java.util.Map"
%><%@ page import="com.emptoris.framework.sso.UserRegistry"
%><%@ page import="com.rivermine.ui.servlet.RequestContext"
%><%@ page import="com.rivermine.i18n.Message"
%><%@ page import="com.rivermine.i18n.MessageVSM"
%><%@ page import="com.rivermine.util.CookieUtil"
%><%!
static List<Message> keys = Arrays.asList(new Message[] {
    MessageVSM.LOGIN_SCREEN_TRANSPORT_PROMPT,
    MessageVSM.LOGIN_SCREEN_NAME,
    MessageVSM.LOGIN_SCREEN_PASSWORD,
    MessageVSM.LOGIN_SCREEN_FORGOT_USERNAME,
    MessageVSM.LOGIN_SCREEN_FORGOT_PASSWORD,
    MessageVSM.LOGIN_SCREEN_PLEASE_NOTE,
    MessageVSM.LOGIN_SCREEN_LOGIN,
    MessageVSM.LOGIN_SCREEN_ERROR,
    MessageVSM.LOGIN_SCREEN_TIMEOUT,
    MessageVSM.LOGIN_SCREEN_REGISTER,
    MessageVSM.LOGIN_SCREEN_COPYRIGHT });
%><%
String lang = CookieUtil.processLanguage(request, response);
Map<Message, String> resources = null;
RequestContext.createInstance(getServletContext(), getServletName(), request);
UserRegistry userRegistry = new UserRegistry();
try
{
    resources = userRegistry.getTranslations(keys, lang);
}
finally
{
    userRegistry.disposeApplicationInstance();
    RequestContext.clearInstance();
}
response.setHeader("Pragma", "no-cache");
response.setHeader("Cache-Control", "private, no-cache, no-store");
response.setDateHeader("Expires", 0);
String systemLabel = System.getProperty("installation.label");
String translatedPrompt = MessageFormat.format(resources.get(MessageVSM.LOGIN_SCREEN_TRANSPORT_PROMPT), systemLabel);
%><!DOCTYPE HTML>
<HTML>
<HEAD>
<TITLE>IBM Emptoris Strategic Supply Management</TITLE>
<LINK rel="shortcut icon" type="image/icon" href="favicon.ico">
<LINK REL="stylesheet" HREF="css/oneui.min.css">
<META HTTP-EQUIV="Cache-Control" CONTENT="private, no-cache, no-store">
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<SCRIPT>
function init() {
    if (document.all) { // IE only
        document.forms[0].elements['j_username'].style.height="16px";
        document.getElementById("ibmCopyright").style.fontSize="12px";
        var lc = document.getElementById("LanguagesContainer");
        lc.style.fontSize="11px";
        var lg = lc.childNodes;
        for (var i = 0; i < lg.length; i++) {
            if (lg[i].style) {
                lg[i].style.fontSize="11px";
            }
        }
        var button = document.getElementById("dijit_form_Button_0").parentElement.parentElement;
        button.style.backgroundColor="#f4f4f4";
        button.style.border="1px solid #c3c3c3";
        button.style.boxShadow="0px 1px 0px rgba(0, 0, 0, 0.1)";
        if (document.documentMode < 9) {
            button.style.padding="3px 10px 5px";
            try {
                document.getElementById("ibmLogoBox").style.paddingBottom="6px";
            }
            catch (e) {}
        }
        try {
            document.querySelector('div.blueLip').style.backgroundImage="-ms-linear-gradient(top, #1a96c6 0%, #0075a3 100%)";
        }
        catch (e) {}
    }
    else {
        document.getElementById("idxLoginBox").style.width="500px";
    }
}
function checkSubmit(event) {
    var e = event || window.event;
    if (e && e.keyCode == 13) {
        document.forms[0].submit();
    }
}
function sharpen(div) {
    div.style.opacity=1.0;
    div.style.filter="alpha(opacity=100)";
}
function dim(div) {
    div.style.opacity=0.6;
    div.style.filter="alpha(opacity=60)";
}
</SCRIPT>
</HEAD>
<BODY class="oneui" onload="init()"
    style="width:100%; height:100%; margin:0pt; padding:0pt; text-align:center; overflow:auto;">
    <FORM NAME="login" METHOD="POST" ACTION="j_security_check" autocomplete="off">
    <div onKeyPress="return checkSubmit(event)">
        <div widgetid="idx_app_LoginFrame_0" id="idx_app_LoginFrame_0"
            class="LoginFrame idxLoginFrame" lang="en">
            <div class="idxLoginBoxWithShadow" cellpadding="0" cellspacing="0" border="0">
                <div class="idxLoginBox" id="idxLoginBox"
                    style="width:540px; margin-top:30px; margin-bottom:auto; margin-left:auto; margin-right:auto;">
                    <div class="idxLoginBoxInner" style="text-align:left; padding=0; margin=0;">
                        <div class="idxLoginTitle">
                            <img src="oneui/ibmLogo.png" width="80" height="30" style="margin-bottom:20px;">
                        </div>
                        <div class="idxLoginTitle">IBM<sup>®</sup> Emptoris<sup>®</sup> Strategic Supply Management</div>
                        <div class="idxLoginSubTitle"><%= translatedPrompt %></div>
                        <div class="idxFieldLabel">
                            <span class="textarea"><%= resources.get(MessageVSM.LOGIN_SCREEN_NAME) %></span><span
                                class="idxLoginSeparator">:<span
                                style="color:red; font-size:16px">*</span></span>
                        </div>
                        <div class="dijitReset dijitInputField dijitInputContainer">
                            <INPUT type="TEXT" autocomplete="off" MAXLENGTH="256" SIZE="20"
                                name="j_username" TABINDEX="1" style="width:150px">
                        </div>
                        <div class="idxFieldLabel">
                            <span class="textarea"><%= resources.get(MessageVSM.LOGIN_SCREEN_PASSWORD) %></span><span
                                class="idxLoginSeparator">:<span
                                style="color:red; font-size:16px">*</span></span>
                        </div>
                        <div class="dijitReset dijitInputField dijitInputContainer">
                            <INPUT type="PASSWORD" autocomplete="off" MAXLENGTH="32" SIZE="20"
                                name="j_password" TABINDEX="2" style="width:150px">
                        </div>
                    </div>
                    <div dojoattachpoint="containerNode"></div>
                    <div style="margin-top:20px; text-align:left;">
                        <!-- The IE alpha filter does not work unless the width is also specified -->
                        <span class="dijit dijitReset dijitInline dijitButton dijitButtonHover dijitHover"
                            style="cursor:default; width:40px; opacity:0.6; filter:alpha(opacity=60)"
                            onmouseover="sharpen(this)" onmouseout="dim(this)" onClick="document.forms[0].submit()"
                            role="button" lang="en"><span class="dijitReset dijitInline dijitButtonNode"
                            onfocus="sharpen(this.parentNode)" onblur="dim(this.parentNode)"
                            role="button" TABINDEX="5"><span class="dijitReset dijitStretch dijitButtonContents"
                                id="dijit_form_Button_0" onClick="document.forms[0].submit()"
                                aria-labelledby="dijit_form_Button_0_label"
                                data-dojo-attach-point="titleNode,focusNode"
                                style="-moz-user-select:none; white-space:nowrap"
                                role="button"><%= resources.get(MessageVSM.LOGIN_SCREEN_LOGIN) %></span></span></span>
                    </div>
                <%  if ("true".equals(request.getParameter("error"))) { //unspecified :-) %>
                    <div style="margin-top:20px; text-align:left;">
                        <strong><font color="red"><%= resources.get(MessageVSM.LOGIN_SCREEN_ERROR) %></font></strong>
                    </div>
                <%  }
                    else if ("true".equals(request.getParameter("timeout"))) { %>
                    <div style="margin-top:20px; text-align:left;">
                        <strong><font color="red"><%= resources.get(MessageVSM.LOGIN_SCREEN_TIMEOUT) %></font></strong>
                    </div>
                <%  } %>
                    <div id="ibmCopyright" dojoattachpoint="copyrightNode" class="idxLoginCopyright"
                        style="font-size:9pt; text-align:left;"><%= resources.get(MessageVSM.LOGIN_SCREEN_COPYRIGHT) %></div>
                    <div id="LanguagesContainer"
                        style="font-family:serif; font-size:9pt; margin-top:20px; text-align:left;">
                        <a class="languagelist" href="#" TABINDEX="8"
                            onClick="window.location.href='oauth_login.jsp?language=en_US';return false;">English</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="9"
                            onClick="window.location.href='oauth_login.jsp?language=es_ES';return false;">Español</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="10"
                            onClick="window.location.href='oauth_login.jsp?language=it_IT';return false;">Italiano</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="11"
                            onClick="window.location.href='oauth_login.jsp?language=fr_FR';return false;">Français</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="12"
                            onClick="window.location.href='oauth_login.jsp?language=de_DE';return false;">Deutsch</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="13"
                            onClick="window.location.href='oauth_login.jsp?language=pt_BR';return false;">Português</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="14"
                            onClick="window.location.href='oauth_login.jsp?language=ja_JP';return false;">日本語</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="15"
                            onClick="window.location.href='oauth_login.jsp?language=zh_CN';return false;">简体中文</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="16"
                            onClick="window.location.href='oauth_login.jsp?language=zh_TW';return false;">繁體中文</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="17"
                            onClick="window.location.href='oauth_login.jsp?language=ko_KR';return false;">한국어</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </FORM>
</BODY>
</HTML>
