<%--
%(C) COPYRIGHT International Business Machines Corp. 2013, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%><%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"
%><%@ page import="java.text.MessageFormat"
%><%@ page import="java.util.Arrays"
%><%@ page import="java.util.HashMap"
%><%@ page import="java.util.List"
%><%@ page import="java.util.Map"
%><%@ page import="com.emptoris.framework.sso.UserRegistry"
%><%@ page import="com.rivermine.ui.servlet.RequestContext"
%><%@ page import="com.rivermine.i18n.Message"
%><%@ page import="com.rivermine.i18n.MessageVSM"
%><%@ page import="com.rivermine.util.CookieUtil"
%><%!
static List<Message> keys = Arrays.asList(new Message[] {
    MessageVSM.OAUTH_AUTHORIZATION_PROMPT,
    MessageVSM.YES,
    MessageVSM.NO });
%><%
String lang = CookieUtil.processLanguage(request, response);
Map<Message, String> resources = null;
RequestContext.createInstance(getServletContext(), getServletName(), request);
UserRegistry userRegistry = new UserRegistry();
try
{
    resources = userRegistry.getTranslations(keys, lang);
}
finally
{
    userRegistry.disposeApplicationInstance();
    RequestContext.clearInstance();
}
response.setHeader("Pragma", "no-cache");
response.setHeader("Cache-Control", "private, no-cache, no-store");
response.setDateHeader("Expires", 0);
%><!DOCTYPE HTML>
<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>OAuth authorization form</TITLE>
<LINK rel="shortcut icon" type="image/icon" href="favicon.ico">
<LINK REL="stylesheet" HREF="/emptoris/css/oneui.min.css">
<META HTTP-EQUIV="Cache-Control" CONTENT="private, no-cache, no-store">
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<SCRIPT>
function init() {
    //var scope = oauthFormData.scope;
    //var scopeEle = document.getElementById("oauth_scope");
    //var ul = document.createElement("ul");
    //if(scope) {
    //    for(var i=0; i < scope.length; i++) {
    //        var n = document.createElement("li");
    //        n.innerHTML = scope[i];
    //        ul.appendChild(n);
    //    }
    //}
    //scopeEle.appendChild(ul);
    // set client name
    var clientEle = document.getElementById("client_name");
    clientEle.innerHTML = oauthFormData.clientDisplayName;
}
function sharpen(div) {
    div.style.opacity=1.0;
    div.style.filter="alpha(opacity=100)";
}
function dim(div) {
    div.style.opacity=0.6;
    div.style.filter="alpha(opacity=60)";
}
</SCRIPT>
</HEAD>
<BODY class="oneui" onload="init()" style="width:100%; height:100%; margin:0pt; padding:0pt; text-align:center; overflow:auto;">
    <div widgetid="idx_app_LoginFrame_0" id="idx_app_LoginFrame_0" class="LoginFrame idxLoginFrame" lang="en">
        <div class="idxLoginBoxWithShadow" cellpadding="0" cellspacing="0" border="0">
            <div class="idxLoginBox" id="idxLoginBox"
                style="margin-top:30px; margin-bottom:auto; margin-left:auto; margin-right:auto;">
                <div class="idxLoginBoxInner" style="text-align:left; padding=0; margin=0;">
                    <div class="idxLoginTitle">
                        <img src="/emptoris/oneui/ibmLogo.png" width="80" height="30" style="margin-bottom:20px;">&nbsp;&nbsp;
                    </div>
                    <div class="idxLoginTitle">IBM<sup>®</sup> Emptoris<sup>®</sup> Strategic Supply Management</div>
                    <div>
                        <div class="idxLoginSubTitle"><%=
                            MessageFormat.format(resources.get(MessageVSM.OAUTH_AUTHORIZATION_PROMPT),
                                "<span id=client_name style=\"font-weight:bold\">xxxxxxx</span>") %></div>
                        <div id="oauth_scope"></div>
                    </div>
                    <div>
                        <div style="margin-top:20px; text-align:left;">
                            <!-- The IE alpha filter does not work unless the width is also specified -->
                            <span class="dijit dijitReset dijitInline dijitButton dijitButtonHover dijitHover"
                                style="cursor:default; width:40px; opacity:0.6; filter:alpha(opacity=60)"
                                onmouseover="sharpen(this)" onmouseout="dim(this)" onClick="javascript:submitForm(oauthFormData);"
                                role="button" lang="en"><span class="dijitReset dijitInline dijitButtonNode"
                                onfocus="sharpen(this.parentNode)" onblur="dim(this.parentNode)"
                                role="button" TABINDEX="5"><span class="dijitReset dijitStretch dijitButtonContents"
                                    id="dijit_form_Button_0" onClick="javascript:submitForm(oauthFormData);"
                                    aria-labelledby="dijit_form_Button_0_label"
                                    data-dojo-attach-point="titleNode,focusNode"
                                    style="-moz-user-select:none; white-space:nowrap"
                                    role="button"><%= resources.get(MessageVSM.YES) %></span></span></span>
                            &nbsp;
                            <!-- The IE alpha filter does not work unless the width is also specified -->
                            <span class="dijit dijitReset dijitInline dijitButton dijitButtonHover dijitHover"
                                style="cursor:default; width:40px; opacity:0.6; filter:alpha(opacity=60)"
                                onmouseover="sharpen(this)" onmouseout="dim(this)" onClick="javascript:window.close();"
                                role="button" lang="en"><span class="dijitReset dijitInline dijitButtonNode"
                                onfocus="sharpen(this.parentNode)" onblur="dim(this.parentNode)"
                                role="button" TABINDEX="5"><span class="dijitReset dijitStretch dijitButtonContents"
                                    id="dijit_form_Button_0" onClick="javascript:window.close();"
                                    aria-labelledby="dijit_form_Button_0_label"
                                    data-dojo-attach-point="titleNode,focusNode"
                                    style="-moz-user-select:none; white-space:nowrap"
                                    role="button"><%= resources.get(MessageVSM.NO) %></span></span></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</BODY>
</HTML>
