<%--
%(C) COPYRIGHT International Business Machines Corp. 2013, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%><%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"
%><%@ page import="com.emptoris.audit.SimpleUserAuditEvent"
%><%@ page import="com.emptoris.audit.UserAuditEvent"
%><%@ page import="com.emptoris.audit.UserAuditEventStatus"
%><%@ page import="com.emptoris.audit.UserAuditEventType"
%><%@ page import="com.rivermine.app.admin.audit.UserAuditEventService"
%><%@ page import="com.rivermine.config.property.system.SuiteApplicationDefinition"
%><%@ page import="com.rivermine.util.CookieUtil"
%><%@ page import="com.rivermine.util.StringUtil"
%><%!
public static String getHomePage(String landingApp) {
    if ("PGM".equals(landingApp))
    {
        return SuiteApplicationDefinition.SSM_CONTEXT_ROOT + "/pgm";
    }
    else if ("NONE".equals(landingApp))
    {
        return SuiteApplicationDefinition.SSM_CONTEXT_ROOT + "/vsm?actionName=EditOptionsAction";
    }
    return SuiteApplicationDefinition.SSM_CONTEXT_ROOT + "/vsm";
}
%><%
Cookie[] cookies = request.getCookies();
String contextPath = CookieUtil.getValidatedPath(request.getContextPath());
String landingApp = null;
Cookie landingAppCookie = CookieUtil.getCookieByName("landingApp", cookies);
if (landingAppCookie != null)
{
    landingApp = landingAppCookie.getValue();
    CookieUtil.removeCookie(response, landingAppCookie, contextPath);
}
String targetUrl = null;
Cookie targetUrlCookie = CookieUtil.getCookieByName("targetUrl", cookies);
if (targetUrlCookie != null)
{
    targetUrl = targetUrlCookie.getValue();
    if (StringUtil.isEmptyString(targetUrl) || !targetUrl.startsWith(SuiteApplicationDefinition.SSM_CONTEXT_ROOT))
    {
        targetUrl = null;
    }
    CookieUtil.removeCookie(response, targetUrlCookie, contextPath);
}
if (StringUtil.isEmptyString(targetUrl))
{
    targetUrl = getHomePage(landingApp);
}
String username = request.getUserPrincipal().getName();
UserAuditEvent event = new SimpleUserAuditEvent(UserAuditEventType.USER_REDIRECT, UserAuditEventStatus.SUCCESS, username);
if (landingApp == null)
{
    event.getEventData().put(UserAuditEvent.EVENT_COMMENTS, "landingApp=" + landingApp);
}
else
{
    event.getEventData().put(UserAuditEvent.EVENT_COMMENTS, "targetUrl=" + targetUrl);
}
UserAuditEventService.getInstance().sendEvent(request, event);
//System.err.println("SSO_LANDING ====================targetUrl: " + targetUrl);
response.sendRedirect(targetUrl);
%>